Skip to main content
`Ctrl`+`K`

# DMPlexSetSupport

Set the points on the out-edges for this point in the DAG, that is the list of points that this point covers

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexSetSupport(DM dm, PetscInt p, const PetscInt support[])

Not Collective

## Input Parameters

- dm - The `DMPLEX`

- p - The point, which must lie in the chart set with `DMPlexSetChart()`

- support - An array of points which are on the out-edges for point `p`, its length is that obtained from `DMPlexGetSupportSize()`

## Note

This should be called after all calls to `DMPlexSetSupportSize()` and `DMSetUp()`.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexSetCone()`, `DMPlexSetConeSize()`, `DMPlexCreate()`, `DMPlexGetSupport()`, `DMPlexSetChart()`, `DMPlexSetSupportSize()`, `DMSetUp()`

## Level

beginner

## Location

src/dm/impls/plex/plex.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages